curl --request GET \
--url https://api.swarmd.ai/registry/v1/subscriptions/auth-details \
--header 'Authorization: Bearer <token>'{
"authType": "<string>",
"oauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"tokenUrl": "<string>",
"scopes": [
"<string>"
],
"accessToken": "<string>",
"tokenExpiresAt": "2023-11-07T05:31:56Z",
"refreshToken": "<string>"
},
"apiKey": {
"header": "<string>",
"value": "<string>"
},
"bearerToken": "<string>"
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| SERVICE | REGISTRY | READ | REGISTRY:READ |
curl --request GET \
--url https://api.swarmd.ai/registry/v1/subscriptions/auth-details \
--header 'Authorization: Bearer <token>'{
"authType": "<string>",
"oauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"tokenUrl": "<string>",
"scopes": [
"<string>"
],
"accessToken": "<string>",
"tokenExpiresAt": "2023-11-07T05:31:56Z",
"refreshToken": "<string>"
},
"apiKey": {
"header": "<string>",
"value": "<string>"
},
"bearerToken": "<string>"
}JWT token (USER, AGENT, or SERVICE auth)